> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Get the result of an asynchronous list unassigned grids operation

`GET /api/web/v2/async/gridspaged/{id}/unassigned/result`

Get the result of an asynchronous list unassigned grids operation. Caller requires the GRIDS:VIEW permission.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| id | path | Yes | string | The UUID of the operation whose results are to be fetched. |

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "required": [
    "results"
  ],
  "type": "object",
  "properties": {
    "paging": {
      "required": [
        "limit"
      ],
      "type": "object",
      "properties": {
        "limit": {
          "maximum": 100,
          "minimum": 1,
          "type": "integer",
          "description": "The page limit used (1-100)",
          "format": "int32"
        },
        "nextCursor": {
          "type": "string",
          "description": "The cursor pointing to the next page."
        },
        "prevCursor": {
          "type": "string",
          "description": "The cursor pointing to the previous page."
        }
      },
      "description": "Contains navigation information.",
      "title": "Paging"
    },
    "results": {
      "type": "array",
      "description": "A single page from the list of GRIDs found.",
      "items": {
        "type": "object",
        "properties": {
          "allowedActions": {
            "type": "array",
            "description": "A list of what actions are currently allowed for this grid.",
            "items": {
              "type": "string",
              "description": "A list of what actions are currently allowed for this grid.",
              "enum": [
                "CANCEL",
                "DELETE",
                "ENABLE",
                "DISABLE",
                "ASSIGN",
                "UNASSIGN"
              ]
            }
          },
          "assignDate": {
            "type": "string",
            "description": "For unassigned grids which were assigned to the user, the date on which the grid was assigned.",
            "format": "date-time",
            "example": "2019-02-19T13:17:27Z"
          },
          "createDate": {
            "type": "string",
            "description": "The date on which the grid was created.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "expired": {
            "type": "boolean",
            "description": "A flag indicating if this grid is currently expired."
          },
          "expiryDate": {
            "type": "string",
            "description": "If the grid policy defines an expiry date, the date on which this grid will expire. Expired grids cannot be used for authentication.",
            "format": "date-time",
            "example": "2019-08-19T13:15:27Z"
          },
          "gridContents": {
            "type": "array",
            "description": "The grid contents of this grid.  Only administrators with the GRIDCONTENTS:VIEW permission will receive this value.",
            "items": {
              "type": "array",
              "description": "The grid contents of this grid.  Only administrators with the GRIDCONTENTS:VIEW permission will receive this value.",
              "items": {
                "type": "string",
                "description": "The grid contents of this grid.  Only administrators with the GRIDCONTENTS:VIEW permission will receive this value."
              }
            }
          },
          "groups": {
            "type": "array",
            "description": "The UUIDs of groups to which this grid belongs.  This value is only used for unassigned grids. Only groups to which the current administrator has access will be returned.",
            "items": {
              "type": "string",
              "description": "The UUIDs of groups to which this grid belongs.  This value is only used for unassigned grids. Only groups to which the current administrator has access will be returned."
            }
          },
          "id": {
            "type": "string",
            "description": "The unique UUID assigned to the grid when it is created."
          },
          "lastUsedDate": {
            "type": "string",
            "description": "The date on which this grid was last used for authentication. This value will be null if the grid has never been used.",
            "format": "date-time",
            "example": "2019-02-19T13:15:27Z"
          },
          "serialNumber": {
            "type": "integer",
            "description": "The unique numeric serial number assigned to the grid when it is created.",
            "format": "int64"
          },
          "state": {
            "type": "string",
            "description": "The state of this grid.  Only grids in the ACTIVE or PENDING state can be used for authentication.",
            "enum": [
              "ACTIVE",
              "INACTIVE",
              "UNASSIGNED",
              "PENDING",
              "CANCELED"
            ]
          },
          "userId": {
            "type": "string",
            "description": "The UUID of the user who owns this grid.  If the grid is not assigned, this value will be null.",
            "example": "45f5a855-962a-4b5f-b5c5-7ceeae235875"
          },
          "userName": {
            "type": "string",
            "description": "The user Id for this user.  If the grid is not assigned, this value will be null.",
            "example": "john.doe"
          }
        },
        "description": "A Grid defines the information returned about a Grid.",
        "title": "Grid"
      }
    }
  },
  "description": "Contains paging information and a page of assigned grids.",
  "title": "GridsPage"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "GRIDS:VIEW"
    ]
  }
]
```
